Bug 1286038 - glusterd process crashed while setting the option "cluster.extra-hash-regex"
Summary: glusterd process crashed while setting the option "cluster.extra-hash-regex"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Atin Mukherjee
QA Contact: Byreddy
URL:
Whiteboard: glusterd
: 1286039 (view as bug list)
Depends On: 1067455
Blocks: 1351522
TreeView+ depends on / blocked
 
Reported: 2015-11-27 10:08 UTC by Susant Kumar Palai
Modified: 2017-03-23 05:25 UTC (History)
13 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1067455
Environment:
Last Closed: 2017-03-23 05:25:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Comment 2 SATHEESARAN 2015-12-03 16:37:35 UTC
*** Bug 1286039 has been marked as a duplicate of this bug. ***

Comment 3 Nithya Balachandran 2016-06-08 05:35:59 UTC
After discussing this with Atin, I am moving this to the glusterd team.

Comment 4 Nithya Balachandran 2016-06-08 06:00:20 UTC
Additional update:

I tried this on RHGS 3.1.2 and did not see any crash. However, the command fails consistently.

[root@localhost ~]# gluster v set dist-vol cluster.extra-hash-regex '(.*)\.swp*'
volume set: failed: Commit failed on localhost. Please check the log file for more details.


The following messages are seen in the glusterd log:

[2016-06-08 05:30:51.400186] E [graph.y:365:graphyyerror] 0-parser: syntax error: line 1271 (volume 'dist-vol-dht'): "dist-vol-client-0"
allowed tokens are 'volume', 'type', 'subvolumes', 'option', 'end-volume'()
[2016-06-08 05:30:51.400263] E [MSGID: 101098] [xlator.c:652:xlator_tree_free_members] 0-parser: Translator tree not found
[2016-06-08 05:30:51.400285] E [MSGID: 101098] [xlator.c:673:xlator_tree_free_memacct] 0-parser: Translator tree not found
[2016-06-08 05:30:51.400357] E [MSGID: 106398] [glusterd-op-sm.c:2655:glusterd_op_set_volume] 0-management: Unable to restart services
[2016-06-08 05:30:51.400378] E [MSGID: 106123] [glusterd-syncop.c:1407:gd_commit_op_phase] 0-management: Commit of operation 'Volume Set' failed on localhost

Comment 6 Atin Mukherjee 2016-08-01 06:09:22 UTC
Based on comment 5, moving it to POST

Comment 8 Atin Mukherjee 2016-09-17 15:12:32 UTC
The observation was this issue was seen in GlusterFS 3.7, but not in GlusterFS 3.8 which means this got fixed as part of a separate change (probably). Given rhgs-3.2.0 is rebased to GlusterFS 3.8.4 this issue shouldn't be seen in rhgs-3.2.0 now, moving the state to Modified.

Comment 13 Byreddy 2016-10-04 06:11:22 UTC
Verified this bug using the build - glusterfs-3.8.4-2.

Reported issue is not seen with this build.

[root@~]# gluster volume get Dis-Rep cluster.extra-hash-regex
Option                                  Value                                   
------                                  -----                                   
cluster.extra-hash-regex                (null)                                  
[root@ ~]# 

[root@ ~]# gluster v set Dis-Rep  cluster.extra-hash-regex '(.*)\.swp*'
volume set: success
[root@ ~]# 
[root@ ~]# gluster volume get Dis-Rep cluster.extra-hash-regex
Option                                  Value                                   
------                                  -----                                   
cluster.extra-hash-regex                (.*)\.swp*                              
[root@ ~]# 


Moving to verified state.

*Note*: I verified this bug from glusterd point

Comment 15 errata-xmlrpc 2017-03-23 05:25:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.